Bug 1285194 - dist-geo-rep: geo-rep status exits with zero return code for failure.
dist-geo-rep: geo-rep status exits with zero return code for failure.
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
usability, status
: EasyFix, ZStream
Depends On: 1057675
  Show dependency treegraph
Reported: 2015-11-25 03:37 EST by Aravinda VK
Modified: 2018-03-14 13:11 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1057675
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 2 Aravinda VK 2015-12-28 01:23:42 EST
Fix to be done in $SRC/xlators/mgmt/glusterd/src/glusterd-geo-rep.c and 

Based on return value from Glusterd, decide the exit status of the command.
Comment 3 Aravinda VK 2018-02-06 03:08:56 EST
Geo-replication support added to Glusterd2 project, which will be available with Gluster upstream 4.0 and 4.1 releases. 

Most of the issues already fixed with issue https://github.com/gluster/glusterd2/issues/271 and remaining fixes are noted in issue https://github.com/gluster/glusterd2/issues/557

We can close these issues since we are not planning any fixes for 3.x series.

Note You need to log in before you can comment on or make changes to this bug.